# all files / ol/format/filter/ intersects.js

100% Statements 6/6
100% Branches 0/0
100% Functions 1/1
100% Lines 6/6

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    261×

    1×
    1×

    1×

    1×

    1×
     goog.provide('ol.format.filter.Intersects');

    goog.require('ol');
    goog.require('ol.format.filter.Spatial');

    /**
     * @classdesc
     * Represents a `<Intersects>` operator to test whether a geometry-valued property
     * intersects a given geometry.
     *
     * @constructor
     * @param {!string} geometryName Geometry name to use.
     * @param {!ol.geom.Geometry} geometry Geometry.
     * @param {string=} opt_srsName SRS name. No srsName attribute will be
     *    set on geometries when this is not provided.
     * @extends {ol.format.filter.Spatial}
     * @api
     */
    ol.format.filter.Intersects = function(geometryName, geometry, opt_srsName) {

      ol.format.filter.Spatial.call(this, 'Intersects', geometryName, geometry, opt_srsName);

    };
    ol.inherits(ol.format.filter.Intersects, ol.format.filter.Spatial);